# Uses of Class
jcifs.smb.SmbAuthException

Packages that use SmbAuthException
Package
Description
jcifs.smb

## Uses of SmbAuthException in jcifs.smb

Methods in jcifs.smb that return SmbAuthException
Modifier and Type
Method
Description
`protected final SmbAuthException`
NtlmAuthenticator.`getRequestingException()`
Methods in jcifs.smb with parameters of type SmbAuthException
Modifier and Type
Method
Description
`static NtlmPasswordAuthentication`
NtlmAuthenticator.`requestNtlmPasswordAuthentication(String url, SmbAuthException sae)`
Used internally by jCIFS when an `SmbAuthException` is trapped to retrieve new user credentials.